# VehicleSettings Struct Reference

Settings related to vehicles. More...

`#include <settings_type.h>`

## Data Fields

bool | mammoth_trains
| allow very long trains
uint8 | train_acceleration_model
| realistic acceleration for trains
uint8 | train_slope_steepness
| Steepness of hills for trains when using realistic acceleration.
bool | wagon_speed_limits
| enable wagon speed limits
bool | disable_elrails
| when true, the elrails are disabled
UnitID | max_trains
| max trains in game per company
UnitID | max_roadveh
| max trucks in game per company
UnitID | max_aircraft
| max planes in game per company
UnitID | max_ships
| max ships in game per company
uint8 | plane_speed
| divisor for speed of aircraft
uint8 | freight_trains
| value to multiply the weight of cargo by
bool | dynamic_engines
| enable dynamic allocation of engine data
bool | never_expire_vehicles
| never expire vehicles
byte | extend_vehicle_life
| extend vehicle life by this many years
byte | road_side
| the side of the road vehicles drive on
uint8 | plane_crashes
| number of plane crashes, 0 = none, 1 = reduced, 2 = normal

## Detailed Description

Settings related to vehicles.

Definition at line 310 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h